import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {AccessViewComponent} from '@app/access/views/access-view/access-view.component';
import {HomeComponent} from '@app/components/home/home.component';
import {LoginComponent} from '@app/components/login/login.component';
import {PageNotFoundComponent} from '@app/components/page-not-found/page-not-found.component';
import {DepositViewComponent} from '@app/deposit/views/deposit-view/deposit-view.component';

export enum RoutesEnum {
  home = 'home',
  index = 'index',
  login = 'login',
  access = 'access',
  deposit = 'deposit',
}

const routes: Routes = [
  {path: RoutesEnum.access, component: AccessViewComponent},
  {path: RoutesEnum.deposit, component: DepositViewComponent},
  {path: RoutesEnum.login, component: LoginComponent},
  {path: '', component: HomeComponent},
  {path: RoutesEnum.index, redirectTo: '/', pathMatch: 'full'},
  {path: RoutesEnum.home, redirectTo: '/', pathMatch: 'full'},
  {path: '**', component: PageNotFoundComponent},
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {
}
